## kernel-package 8.119ubuntu3

=== debian/changelog ===
kernel-package (8.119ubuntu3) hoary; urgency=low

  * Use $silent_modules=Yes for official images on initial installation, not
    only on upgrade (Ubuntu bug #4341)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Feb 2005 12:29:07 -0800

kernel-package (8.119ubuntu2) hoary; urgency=low

  * Re-upload without removing arch metadata, to simplify merging.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 13:36:09 +0000

kernel-package (8.119ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 13:26:10 +0000

kernel-package (8.119) unstable; urgency=low

  * Bug fix: "kernel-package: Improvements for kernel_grub_rm.sh script",
    thanks to Javier Fernández-Sanguino Peña. I created my own patch,
    rather than using the one in the report, but thanks for pointing this
    out.                                                 (Closes: #287937).
  * Bug fix: "mismatch between lilo.conf and the actual filename
    &quot;initrd.old&quot;.", thanks to David Robin. The fix is actually
    thanks to Khalid Aziz, who noticed that in one corner case the
    symbolic link was moved to the wrong location.       (Closes: #288540).
  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett      (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Jan 2005 17:39:31 -0600

kernel-package (8.118) unstable; urgency=low

  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Dec 2004 12:20:46 -0600

kernel-package (8.117) unstable; urgency=low

  * Updated the spanish translation of the amke-kpkg man page, thanks to
    Rubén Porras Campo <nahoo@inicia.es> 

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 09:48:47 -0600

kernel-package (8.116) unstable; urgency=low

  * Bug fix: "when generating buildinfo, should also consider [h]eld
    packages", thanks to Joshua Kwan. I sync-tree's with josjk's version,
    but did not actually use that code, since there have been changes made
    in the rules file since, and there are also some permission changes I
    did not want to revert. This shall allow him to star-merge back to get
    my fixes.                                             (Closes: #284700).
  * Bug fix: "kernel-package: improved CONCURRENCY_LEVEL docs", thanks to
    Bastian Kleineidam                                     (Closes: #284065).
  * Bug fix: "kernel-package: Clarify documentation on kernel patches",
    thanks to Ross Boylan. Added a note in the make-kpkg man page.
                                                           (Closes: #224212).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 02:43:28 -0600

kernel-package (8.115) unstable; urgency=low

  * Bug fix: "SPARC/SILO: does not set the right initrd for the kernel",
    thanks to Joerg Friedrich.  We now mention that the generated
    silo.conf is a best effort kinda thing, and a human needs to check it.
                                                         (Closes: #282965).
  * Bug fix: "kernel-package: Simultaneously installing two kernel images,
    with initrds, makes lilo fail for the first one", thanks to Adam Rice
    Actually, this was an instance of upgrading two images at the same
    time.                                                (Closes: #282749).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 26 Nov 2004 01:17:10 -0600

kernel-package (8.114ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 24 Nov 2004 15:09:13 +0000

kernel-package (8.114) unstable; urgency=low

  * Do up remove initrd symbolic links on upgrades.        (Closes: #281953).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Nov 2004 16:00:21 -0600

kernel-package (8.113ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 18 Nov 2004 13:16:45 +0000

kernel-package (8.113) unstable; urgency=low

  * Bug fix: "--stem option to enable alternative package naming schemes",
    thanks to Matt Zimmerman                                  (Closes: #281465).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Nov 2004 11:09:40 -0600

kernel-package (8.112ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 17 Nov 2004 17:50:08 +0000

kernel-package (8.112) unstable; urgency=low

  * Bug fix: "kernel-source-2.6.9: make mrproper fails", thanks to Leif W
    horms@debian.org provided the fix                          (Closes: #279678).
  * Bug fix: "Updated mips/mipsel rules for kernel-package", thanks to
    Thiemo Seufer                                              (Closes: #280341).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Nov 2004 11:13:58 -0600

kernel-package (8.111ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Tue, 09 Nov 2004 19:01:57 +0000

kernel-package (8.111) unstable; urgency=medium

  * Strip trailing white space from the rules file.
  * Bug fix: "lc_version change is buggy", thanks to Adam Heath 
                                                        (Closes: #279564).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 Nov 2004 17:42:18 -0600

kernel-package (8.110ubuntu2) hoary; urgency=low

  * Resolve merge conflicts by re-applying Ubuntu changes against Debian
    sources

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 28 Oct 2004 15:50:08 -0700

kernel-package (8.110ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 22:06:14 +0100

kernel-package (8.110) unstable; urgency=low

  * Updated french man page, thanks to Sylvain Cherrier <sylvain.cherrier@free.fr>



=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.6.1.0

Package: kernel-package
Description: A utility for building Linux kernel related Debian packages.
 This package provides the capability to create a debian kernel-image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
 .
 If you are running on an intel x86 platform, and you wish to compile a
 custom kernel (why else are you considering this package?), then you may
 need the package bin86 as well.  (This is not required on other platforms).
Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
Recommends: libc6-dev | libc-dev
Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
Architecture: all

## kernel-package 8.135

=== debian/changelog ===
kernel-package (8.135) unstable; urgency=medium

  * Bug fix: "kernel-package incompatible with experimental dpkg", thanks
    to Thomas Luzat. The problem is that dpkg-architecture
    -qDEB_HOST_GNU_SYSTEM output haschanged for Linux, resulting in
    kernel-package failing to figure out the system time. So, added
    DEB_HOST_ARCH_OS, which is only supported in the dpkg in experimental
    so far. This ain't ever gonna get into Sarge, but   shall be in
    Etch. Try to cope with the dpkg released with Sarge, as   well as the
    future dpkg that shall be in Etch. Discussed with RM, and this was
    deemed wrthy of pushing into Sarge                   (Closes: #307587). 
  * Bug fix: "kernel-package: [INTL:es] make-kpkg update", thanks to Ruben
    Porras                                                (Closes: #307713).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  7 May 2005 03:02:25 -0500

kernel-package (8.134) unstable; urgency=low

  * Bug fix: "kernel-package: Symlink confusion", thanks to Juergen
    Kreileder. There was indeed an issue with the image postrm, if the
    link_in_boot option was set.                           (Closes: #304140).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 00:57:04 -0500

kernel-package (8.133) unstable; urgency=low

  * Bug fix: "typo in /usr/share/kernel-packages/rules", thanks to Bart
    Cortooms                                               (Closes: #307097).
  * Bug fix: "kernel-package: man make-kpkg does not document the
    binary-arch target", thanks to Intri Geri              (Closes: #305266).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 May 2005 14:20:43 -0500

kernel-package (8.132) unstable; urgency=low

  * Delete trailing whitespace in the rules file. This one change closes
    the next 4 bugs:
  * Bug fix: "kernel-package: does not build kernel_headers", thanks to
    Ingo Saitz                                            (Closes: #304568).
  * Bug fix: "kernel-package: Regression between 8.130 and 8.131", thanks
    to Roland Mas                                         (Closes: #304631).
  * Bug fix: "kernel-package: errors in script", thanks to Alberto Maurizi
                                                          (Closes: #304687).
  * Bug fix: "Compilation with make-kpkg fails", thanks to Johnny Morano
                                                          (Closes: #304851).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Apr 2005 19:28:53 -0500

kernel-package (8.131) unstable; urgency=low

  * Bug fix: "kernel-package: README.modules should include targets
    called", thanks to Kevin Locke                        (Closes: #303833).
  * Updated spanish man pages.
  * Spit out a warning of the module dir does not exist. Earlier, we were
    silently ignoring missing third party modules.  
  * Bug fix: "Support for kfreebsd", thanks to Robert Millan
                                                          (Closes: #294235).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Apr 2005 01:53:41 -0500

kernel-package (8.130) unstable; urgency=low

  * Bug fix: "kernel-package fails to build mipsel kernels", thanks to
    Thiemo Seufer                                        (Closes: #301389).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Mar 2005 19:07:20 -0600

kernel-package (8.129) unstable; urgency=low

  * Bug fix: "sed errors with kernel-package &gt; 8.125", thanks to Edward
    J. Shornock. Need to quote $'s in make files.         (Closes: #300491).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Mar 2005 00:33:49 -0600

kernel-package (8.128) unstable; urgency=low

  * Bug fix: "kernel-package: Script errors during kernel build on
    sparc64", thanks to Frans Pop. Comment out _all_ the lines of a
    stanza, nit just the last two.                       (Closes: #300371).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Mar 2005 10:17:31 -0600

kernel-package (8.127) unstable; urgency=low

  * Bug fix: "kernel-package: make-kpkg uses run-parts -v option, which
    breaks woody->sarge upgrades", thanks to Sven Luther (Closes: #299863).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Hirokazu Takata                            (Closes: #298509).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 21:12:35 -0600

kernel-package (8.126) unstable; urgency=low

  * Bug fix: "[kernel-package] make-kpkg fails on mipsel without subarch",
    thanks to Florian Lohoff                               (Closes: #299218).
  * Inconsistent CROSS_COMPILE Breaks External Modules. Well, make sure
    that we do not end up with a XXX-- as the corss arg, thus allowing
    people to specify things with or without a trailing -. 
                                                    (Closes: #298371, #29850).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Horms. Added [atch                            (Closes: #297677).
  * Bug fix: "kernel-package: Update Kernel Maintainer", thanks to Horms
                                                             (Closes: #297676).
  * Bug fix: "kernel-package: m32r architecture support", thanks to
    Hirokazu Takata                                          (Closes: #298647).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 01:45:13 -0600

kernel-package (8.125) unstable; urgency=low

  * Update ARM netwinder rules to be correct, thanks to vince (Closes: #296443).
  * Bug fix: "kernel-package: [patch] Please add nubus support", thanks to
    Sven Luther                                               (Closes: #296450).
  * Bug fix: "kernel-package: should perhaps suggest or recommend bzip2",
    thanks to Krishna Sethuraman                              (Closes: #296696).
  * Bug fix: "add doc for initrd options", thanks to Alex     (Closes: #290697).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Mar 2005 14:52:20 -0600



=== debian/control ===
--- 
+++ 
@@ -22,6 +22,6 @@
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
 Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
-Recommends: libc6-dev | libc-dev
+Recommends: libc6-dev | libc-dev, bzip2
 Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all

## kernel-package 9.001ubuntu5

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Oct  1 16:21:53 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 20
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.doc README.headers README.image README.modules \
           README.source README.tecra 
EXAMPLES = sample.kernel-img.conf kernel_grub_conf.sh sample.posthook.sh

# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8
FR_MAN1DIR = $(prefix)/usr/share/man/fr/man1
FR_MAN5DIR = $(prefix)/usr/share/man/fr/man5
FR_MAN8DIR = $(prefix)/usr/share/man/fr/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all build: check

check:
	perl -wc make-kpkg
	perl -wc kernel/image.preinst
	perl -wc kernel/image.postinst
	perl -wc kernel/image.postrm
	perl -wc kernel/image.prerm
	perl -wc kernel/include.postinst
	bash -n kernel/kernel_grub_conf.sh
	bash -n kernel/kernel_grub_rm.sh
	bash -n kernel/sample.posthook.sh
	bash -n kernel/um.postinst
	bash -n kernel/um.prerm

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(FR_MAN1DIR)
	$(make_directory)  $(FR_MAN5DIR)
	$(make_directory)  $(FR_MAN8DIR)
	$(make_directory)  $(DOCDIR)/examples
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)
	$(install_file)    debian/changelog             $(DOCDIR)/changelog
	$(install_file)    README                       $(DOCDIR)/README
	$(install_file)    kernel/Flavours              $(DOCDIR)/Flavours
	$(install_file)    kernel/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                     $(DOCDIR)/Problems
	$(install_file)    _make-kpkg                   $(BASH_DIR)/make_kpkg
	$(install_file)    Multi-Arch                   $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                    $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do \
                            ln -s ../../$(package)/$$file $$file; \
                           done)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  	   $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5 	   $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5 	   $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5  	   $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8       	   $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8     \
                                                     $(ES_MAN8DIR)/kernel-packageconfig.8 
	$(install_file)    kernel-pkg.conf.fr.5 	   $(FR_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.fr.5 	   $(FR_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.fr.5  	   $(FR_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.fr.8       	   $(FR_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.fr.8     \
                                                     $(FR_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg $(prefix)/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(prefix)/usr/share/$(package); umask 000;\
                           tar xpf -))
	(cd $(DOCDIR);     for file in $(EXAMPLES); do \
                            mv ../../$(package)/$$file examples/; \
                           done)
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 | \
           xargs -0r rm -rf
	$(install_file)    Rationale $(prefix)/usr/share/$(package)/
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	@echo nothing to do for clean

=== debian/changelog ===
kernel-package (9.001ubuntu5) breezy; urgency=low

  * Have hppa and ia64 use mkinitrd, since mkinitramfs isn't going to make it
    for them.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 28 Sep 2005 22:28:07 -0600

kernel-package (9.001ubuntu4) breezy; urgency=low

  * Revert my own changes in 9.001ubuntu3 pending discussion.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 16 Sep 2005 19:53:24 +0100

kernel-package (9.001ubuntu2) breezy; urgency=low

  * Use initramfs-tools instead of initrd-tools.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 10 Aug 2005 04:57:37 -0400

kernel-package (9.001ubuntu1) breezy; urgency=low

  * Resyncronize with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 14 Jun 2005 13:33:20 +0200

kernel-package (9.001) unstable; urgency=low

  * The previous solution was only one half of the problem: we had made
    kernel_arch available to the maintainer scripts, but had not exported
    the variable to the hook scripts that the maintainer scripts run. This
    is the second half of that work.
  * Bug fix: "/u/s/k-p/image.postinst: $force_move logic recently broke",
    thanks to Aaron M.; "kernel-package: symlinks in /boot aren't update
    for packages created with make-kpkg", thanks to Itai Seggev.  These
    are the same bug, and indeed, as Aaron analyzed, were cause by a
    misplaced '}'.                                (Closes: #313312, #312917).
  * Thanks to Ubuntu and jbailey, there is now a new variable in
    /etc/kernel-img.conf: ramdisk, which allows the admin to choose a
    different program than /usr/sbin/mkinitrd for initrd generation.
  * Added a few bits and pieces for powerpc64 into the rules file. I am
    not sure I understand why one can't ever cross compile powerpc64
    images, but I am adding this in for the duration. This work reflects
    changes in Ubuntu.
  * Bug fix: "Fails with make: i486-linux-gnu-gcc: Command not found",
    thanks to Nacho Más                                 (Closes: #313053).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Jun 2005 01:25:33 -0500

kernel-package (9.000ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 10 Jun 2005 06:11:44 +0200

kernel-package (9.000) unstable; urgency=low

  * This is a bug fixing release, and hopefully stable. Next we embark on
    a cleanup, rewrite, and debconfification, so this may well be a
    version worth holding on to.
  * Bug fix: "kernel-package: Rearrange docs placement in kernel-doc",
    thanks to Eugene Konev                              (Closes: #308562).
  * Bug fix: "kernel-package: Please export KERNEL_ARCH variable to the
    post-install script", thanks to Jurij Smakov        (Closes: #309423).
  * Bug fix: "kernel-package: [INTL:es] updated make-kpkg manpage", thanks
    to Ruben Porras                                     (Closes: #310274).
  * Bug fix: "kernel-package: Does not clean up dangling 'source' symlink
    in postinst", thanks to Jurij Smakov                (Closes: #309981).
  * Bug fix: "kernel-package: Please disable the version mismatch check
    for official kernels", thanks to Jurij Smakov. As all the debian
    kernel images are built from the same source, but with different
    binary image versions (the binary image version is a combination of
    the sub-arch and a variation of the kernel ABI), this check is
    erroneously triggered for them, terminating the build. With the patch
    builds finish fine.  This does so by circumventing a sanity check,
    which has some value for the end user.              (Closes: #312280).
  * Bug fix: "kernel-package: make-kpkg manpage should state that newer
    Kernel have cramfs support", thanks to Andreas Pakulat 
                                                         (Closes: #308221).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Jun 2005 03:43:37 -0500

kernel-package (8.135ubuntu4) breezy; urgency=low

  * Add a simple cosmetic change to the kernel postinst.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 08 Jun 2005 13:53:44 +0200

kernel-package (8.135ubuntu3) breezy; urgency=low

  * New variable in /etc/kernel-img.conf: ramdisk
    Allows the admin to choose a different program than
    /usr/sbin/mkinitrd for initrd generation.
    Note: Must take the same arguments as mkinitrd.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed,  8 Jun 2005 01:47:00 +0000

kernel-package (8.135ubuntu2) breezy; urgency=low

  * Add a coupld powerpc64 checks along the way to avoid dpkg-architecture
    -a to get set to powerpc64 and not to set CROSSCOMPILE, the kernel
    Makefile will take care to set -m64 as appropriate.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sat, 04 Jun 2005 16:09:29 +0200

kernel-package (8.135ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 03 Jun 2005 14:26:11 +0200

kernel-package (8.132ubuntu3) breezy; urgency=low

  * Suppress a new "you need to reboot soon" warning which doesn't apply to
    official Ubuntu kernels

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 24 May 2005 12:43:14 -0700

kernel-package (8.132ubuntu2) breezy; urgency=low

  * Add workaround to support old/new dpkg-architecture vars.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 23 May 2005 08:17:51 +0200

kernel-package (8.132ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Adam Conrad <adconrad@0c3.net>  Tue, 19 Apr 2005 22:46:52 -0600

kernel-package (8.131ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 14 Apr 2005 21:11:29 +0100

## kernel-package 9.001ubuntu15

=== debian/changelog ===
kernel-package (9.001ubuntu15) dapper; urgency=low

  * #25231: Fix wording on creating sym link for initrd message.

 -- Ben Collins <bcollins@ubuntu.com>  Fri,  3 Mar 2006 10:23:10 -0500

kernel-package (9.001ubuntu14) dapper; urgency=low

  * Kill for good sparc32 support that was only making problems for us.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 02 Mar 2006 11:29:24 +0100

kernel-package (9.001ubuntu13) dapper; urgency=low

  * ia64 and hppa are now using initramfs.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2006 13:41:29 -0500

kernel-package (9.001ubuntu12) dapper; urgency=low

  * Clean real_stamp_headers target to include scripts and asm_offsets.*. I
    was going to just forward port all of our changes to 9.008, but that
    proved to be more work than I wanted right now. Malone #28863

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2006 09:03:59 -0500

kernel-package (9.001ubuntu11) dapper; urgency=low

  * s/kernel-source/linux-source/ in Suggests. Malone bug #6427

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  5 Jan 2006 11:37:22 -0500

kernel-package (9.001ubuntu10) dapper; urgency=low

  * Stop symlinking to asm-ppc on powerpc; it's turned into asm-powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Dec 2005 00:20:49 +1100

kernel-package (9.001ubuntu9) dapper; urgency=low

  * Make use of update-initramfs for postinst/postrm of kernel images.

  * Make sure initramfs-tools dep is >= 0.36ubuntu6.

  * Call /usr/share/update-notifier/notify-reboot-required in postinst.

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 28 Nov 2005 13:40:34 -0500

kernel-package (9.001ubuntu8) dapper; urgency=low

  * More PPC changes
    - Disable coff image for pmac

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 20 Nov 2005 10:02:14 -0500

kernel-package (9.001ubuntu7) dapper; urgency=low

  * Minor adjustment to the PPC target. The kernel images moved from
    arch/ppc/boot/ to arch/powerpc/boot/

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 17 Nov 2005 12:02:01 -0500

kernel-package (9.001ubuntu6) dapper; urgency=low

  * Fixup powerpc targets. PPC and PPC64 now use ARCH=powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 15 Nov 2005 10:27:23 -0500

=== debian/control ===
--- 
+++ 
@@ -23,5 +23,5 @@
  need the package bin86 as well.  (This is not required on other platforms).
 Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
 Recommends: libc6-dev | libc-dev, bzip2
-Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
+Suggests: linux-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all

## kernel-package 10.049ubuntu5

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Oct 28 15:48:40 2005
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 26
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.modules README.tecra README.grub HOWTO-Linux-2.6-Woody Rationale
EXAMPLES = sample.kernel-img.conf kernel_grub_conf.sh sample.posthook.sh

# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8
FR_MAN1DIR = $(prefix)/usr/share/man/fr/man1
FR_MAN5DIR = $(prefix)/usr/share/man/fr/man5
FR_MAN8DIR = $(prefix)/usr/share/man/fr/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all: check

build: check

genpo4a:  po4a.conf
	if [ -e /usr/bin/po4a ] ; then \
	  po4a po4a.conf; \
	fi

check:
	perl  -wc make-kpkg
	-perl -wc kernel/pkg/image/preinst
	-perl -wc kernel/pkg/image/postinst
	-perl  -wc kernel/pkg/image/postrm
	-perl  -wc kernel/pkg/image/prerm
	-perl  -wc kernel/pkg/image/config
	perl  -wc kernel/pkg/headers/postinst
	bash  -n  kernel/pkg/headers/create_link
	bash  -n  kernel/pkg/virtual/um/postinst
	bash  -n  kernel/pkg/virtual/um/prerm
	bash  -n  kernel/pkg/virtual/xen/postinst
	bash  -n  kernel/pkg/virtual/xen/prerm
	bash  -n  kernel/examples/kernel_grub_conf.sh
	bash  -n  kernel/examples/kernel_grub_rm.sh
	bash  -n  kernel/examples/sample.posthook.sh

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(FR_MAN1DIR)
	$(make_directory)  $(FR_MAN5DIR)
	$(make_directory)  $(FR_MAN8DIR)
	$(make_directory)  $(DOCDIR)/examples
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)/docs
	$(install_file)    debian/changelog                  $(DOCDIR)/changelog
	$(install_file)    README                            $(DOCDIR)/README
	$(install_file)    kernel/docs/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                          $(DOCDIR)/Problems
	$(install_file)    Multi-Arch                        $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                         $(DOCDIR)/Rationale
	$(install_file)    debian/NEWS.Debian                $(DOCDIR)/
	$(install_file)    _make-kpkg                        $(BASH_DIR)/make_kpkg
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do                  \
                            ln -s ../../$(package)/docs/$$file $$file;  \
                           done)
	$(install_file)    debian/copyright  	      $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	      $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	      $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5       $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5       $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5        $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8             $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8  $(ES_MAN8DIR)/kernel-packageconfig.8 
	$(install_file)    kernel-pkg.conf.fr.5       $(FR_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.fr.5       $(FR_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.fr.5        $(FR_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.fr.8             $(FR_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.fr.8  $(FR_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg                  $(prefix)/usr/bin/make-kpkg
	$(install_file)    Rationale                  $(prefix)/usr/share/$(package)/docs/
	(cd kernel;        tar cf - * |                                         \
           (cd             $(prefix)/usr/share/$(package); umask 000;           \
                           tar xpf -))
	(cd $(DOCDIR);     for file in $(EXAMPLES); do                          \
                            mv ../../$(package)/examples/$$file examples/;      \
                           done)
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 |   \
           xargs -0r rm -rf
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	@echo nothing to do for clean

=== debian/changelog ===
kernel-package (10.049ubuntu5) edgy; urgency=low

  * Detect UTS_RELEASE_HEADER for 2.6.18 allows users to compile
    the 2.6.18 kernel.

  * Also this patch is pre-emptive for edgy+1 kernel builds.

 -- Chuck Short <zulcss@ubuntu.com>  Sun,  1 Oct 2006 21:27:56 -0400

kernel-package (10.049ubuntu4) edgy; urgency=low

  * Redirect update-initramfs output to stderr to avoid confusing debconf
    (closes: Malone #54346).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Aug 2006 12:04:15 +0100

kernel-package (10.049ubuntu3) edgy; urgency=low

  * Do not show debconf notice about same-name kernel image updates for
    official kernels. That's because we ensure ABI compatibility.

 -- Ben Collins <bcollins@ubuntu.com>  Wed,  2 Aug 2006 15:22:09 -0400

kernel-package (10.049ubuntu2) edgy; urgency=low

  * Add support for kernels configured with CONFIG_CRASH_DUMP.
  * Modifiy xen package names (from Chuck).

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 18 Jul 2006 11:31:12 -0400

kernel-package (10.049ubuntu1) edgy; urgency=low

  * Dropped most of our stuff in favor of updates in this version.
  * Synced update-initramfs changes.
  * Synced notifier changes.
  * Disable debconf in postrm. The purge() is somehow triggering a sigpipe and
    failing to remove.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 12 Jul 2006 11:35:37 -0400

kernel-package (10.049) unstable; urgency=low

  * Bug fix: "kernel-package: localversion* files not supported?", thanks
    to Mattia Dongili. It is not that localversion files are not
    supported, it is that patches that try to change the version numbering
    are not,  You see, patches are applied _after_ there is a ./debian
    directory, and that means ./debian/changelog is already in place. Re
    doing this would require a drastic change in make-kpkg, so now we
    document that patches that change package names are not supported.
                                                        (Closes: #368539).
  * Bug fix: "linux-image-2.6.16-2-amd64-k8: initrd symlink management
    sucks", thanks to Eduard Bloch. Well, the bug topic sucks too. And,
    looking at the logs posted, it did seem to work in the test (the link
    was indeed created). I did spot a typo in the postinst, so I think
    this corner case should not arise again.            (Closes: #372783).
  * Bug fix: "no longer supports images with the same name on 2 arches",
    thanks to Martin Michlmayr. Well, no longer is a misnomer, we never
    did support multiple architectures for images in the control file.
    This should now be fixed; we accept a space separated list of
    architectures now.                                  (Closes: #373774).
  * kernel-package: arch/powerpc/include/asm symlink is not included in
    the *-headers package, thanks to Eddy Petrisor. now we ship all of
    arch/$KERNEL_ARCH/include.                          (Closes: #372233).
  * Added documentation to the man page that just adding --cross-compile
    does not in any way set the compiler used by the build system. That
    still has to be done explicitly.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 15:51:53 -0500

kernel-package (10.048) unstable; urgency=low

  * Bug fix: "kernel-package: Please install linux-uml modules in
    /usr/lib/uml/modules/$UML_VER/", thanks to Mattia Dongili. The new
    rootstrap can automatically install UML modules at build time, as long
    as the installation directory is compatible. This makes it so. 
                                                           (Closes: #369155).
  * Bug fix: "kernel-package: Please don't conflict with user-mode-linux
    packages", thanks to Mattia Dongili                    (Closes: #369918).
  * Bug fix: "kernel-package: Do not flattern the linux-uml modules
    directory structure", thanks to Mattia Dongili         (Closes: #369154).
  * make-kpkg fails on amd64 for xenalso consider CONFIG_X86_64_XEN (any
    more architectures that Xen would support, this method is gonna get
    untenable). This'll fix Xen building on AMD64. Please note that cross
    compiling may not work yet -- but that is a kernel build system issue.
                                                           (Closes: #365092).
  * Bug fix: "kernel-package: [powerpc, prep] Please apply patch to allow
    to build 2.6.16 -prep kernels.", thanks to Sven Luther (Closes: #369017).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  5 Jun 2006 17:30:33 -0500

kernel-package (10.047) unstable; urgency=low

  * Please remove ARCH_IN_NAME kludge on sparc, thanks to Jurij
    Smakov. Actually, I don't hink that sparc was the only contituency for
    ARCH_IN_NAME, so the it is not obsolete. I only applied portions of
    the patch as they apply to sparc.mk.                 (closes: Bug#365751)

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 16:56:54 -0500

kernel-package (10.046) unstable; urgency=low

  * Bug fix: "make-kpkg fails on amd64 for xen", thanks to Goswin
    Brederlow                                            (Closes: #365092).
  *  Provide additional information to the inage post processing script
    for powerpc 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2006 14:53:17 -0500

kernel-package (10.045) unstable; urgency=low

  * Bug fix: "kernel-package: linux-image*.postrm uses debconf", thanks to
    Sven Joachim. Well. The postinst did not actually use debconf, just
    make it available for hook scripts. Now it just conditionally loads
    debconf, and it is up to the hook scripts to take care of prompting
    when debconf is missing.                              (Closes: #363645).
  * Bug fix: "kernel-package: amd64 arch also needs xen support", thanks
    to Nate Carlson                                       (Closes: #362628).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Apr 2006 10:30:34 -0500

kernel-package (10.044) unstable; urgency=low

  * Fix typo in powerpc specific rules.



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.0
 
 Package: kernel-package
 Description: A utility for building Linux kernel related Debian packages.
@@ -21,7 +21,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
+Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, file
 Recommends: libc6-dev | libc-dev, bzip2
-Suggests: linux-source, libdb3-dev, libncurses-dev, docbook-utils
+Suggests: linux-source | kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all
